Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.renderable
Class GLSLTextLabel

    java.lang.Object
      de.grogra.imp3d.glsl.renderable.GLSLRenderable
          de.grogra.imp3d.glsl.renderable.GLSLInstanceableRenderable
              de.grogra.imp3d.glsl.renderable.GLSLBitCache
                  de.grogra.imp3d.glsl.renderable.GLSLTextLabelBase
                      de.grogra.imp3d.glsl.renderable.GLSLTextLabel

    public class GLSLTextLabel

extends GLSLTextLabelBase

Field Summary

Fields inherited from class de.grogra.imp3d.glsl.renderable.GLSLTextLabelBase
`BOTTOM_MASK, caption, color, fillColor, FILLED_MASK, font, HORIZONTAL_MASK, LEFT_MASK, OUTLINED_MASK, RIGHT_MASK, TOP_MASK, USED_BITS, VERTICAL_MASK`

Fields inherited from class de.grogra.imp3d.glsl.renderable.GLSLBitCache
`BITMASK`

Fields inherited from class de.grogra.imp3d.glsl.renderable.GLSLInstanceableRenderable
`DIRECT, INDIRECT, INSTANCIATED`

Constructor Summary
`GLSLTextLabel()`

Method Summary
`GLSLRenderable` | `getInstance()`
`java.lang.Class<?>` | `instanceFor()`
`protected void` | `updateInstanceByInstancing(Renderable reference, GraphState gs)`
`protected void` | `updateInstanceDirect(Renderable reference)`
`void` | `updateInstanceIndirect(java.lang.Object state, boolean asNode, GraphState gs)`

Methods inherited from class de.grogra.imp3d.glsl.renderable.GLSLTextLabelBase
`draw, getHorizontalAlignment, getVerticalAlignment, setAlignment, setHorizontalAlignment, setVerticalAlignment`

Methods inherited from class de.grogra.imp3d.glsl.renderable.GLSLBitCache
`getBool, setBool`

Methods inherited from class de.grogra.imp3d.glsl.renderable.GLSLInstanceableRenderable
`updateInstance`

Methods inherited from class de.grogra.imp3d.glsl.renderable.GLSLRenderable
`activateShader, drawAlt, findShader, isShaderDependant`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GLSLTextLabel

    public GLSLTextLabel()

Method Detail

### getInstance

    public GLSLRenderable getInstance()

  Specified by:
    `getInstance` in class `GLSLRenderable`

### instanceFor

    public java.lang.Class<?> instanceFor()

  Specified by:
    `instanceFor` in class `GLSLRenderable`

### updateInstanceByInstancing

    protected void updateInstanceByInstancing(Renderable reference,
                                              GraphState gs)

  Overrides:
    `updateInstanceByInstancing` in class `GLSLTextLabelBase`

### updateInstanceDirect

    protected void updateInstanceDirect(Renderable reference)

  Overrides:
    `updateInstanceDirect` in class `GLSLTextLabelBase`

### updateInstanceIndirect

    public void updateInstanceIndirect(java.lang.Object state,
                                       boolean asNode,
                                       GraphState gs)

  Overrides:
    `updateInstanceIndirect` in class `GLSLTextLabelBase`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD